%define major		4
%define libname		%mklibname %{name} %{major}
%define libplus_major	3
%define libplus		%mklibname mlt++ %{libplus_major}
%define libnamedev	%mklibname %{name} -d

%define use_mmx	0
%{?_with_mmx: %global use_mmx 1}
%{?_without_mmx: %global use_mmx 0}

%define _disable_ld_no_undefined 1

Name:		mlt
Version:	0.7.8
Release:	%mkrel 2
Summary:	Media Lovin' Toolkit
Source0:	http://downloads.sourceforge.net/project/mlt/mlt/%{name}-%{version}.tar.gz
Patch0:         mlt-0.7.6-fix-used-symbols.patch
# http://kdenlive.org/mantis/view.php?id=2526
# http://mltframework.org/gitweb/mlt.git?p=mltframework.org/mlt.git;a=commit;h=73794d4a611f94cb17d56df67de963113307410e
Patch1:		mlt-0.7.8-some-audio-codecs-not-detected.patch
License:	LGPLv2+ and GPLv2+
Group:		Video
Url:		http://mlt.sourceforge.net
BuildRequires:	pkgconfig
BuildRequires:	ffmpeg
BuildRequires:	ffmpeg-devel >= 0.4.9-3.pre1
BuildRequires:	glib2-devel
BuildRequires:	gtk2-devel
BuildRequires:	ladspa-devel
BuildRequires:	libdv-devel
BuildRequires:	libogg-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	libvorbis-devel
BuildRequires:	libxml2-devel
BuildRequires:	multiarch-utils >= 1.0.3
BuildRequires:	pango-devel
BuildRequires:	qt4-devel
BuildRequires:	quicktime-devel
BuildRequires:	SDL-devel
BuildRequires:	imagemagick
BuildRequires:	mad-devel
BuildRequires:	libjack-devel
BuildRequires:	sox-devel
BuildRequires:	frei0r-devel
# For python-bindings
BuildRequires:	swig
BuildRequires:	python-devel

%description
MLT is an open source multimedia framework, designed and developed for
television broadcasting.

It provides a toolkit for broadcasters, video editors, media players,
transcoders, web streamers and many more types of applications. The
functionality of the system is provided via an assortment of ready to
use tools, xml authoring components, and an extendible plug-in based
API.

%package -n     %{libname}
Summary:        Main library for mlt 
Group:          System/Libraries

%description -n %{libname}
This package contains the libraries needed to run programs dynamically
linked with mlt.

%package -n	%{libplus}
Summary:	Main library for mlt++
Group:		System/Libraries

%description -n	%{libplus}
This package contains the libraries needed to run programs dynamically
linked with mlt++.

%package -n     %{libnamedev}
Summary:        Headers for developing programs that will use mlt
Group:          Development/C
Requires:       %{libname} = %{version}
Requires:	%{libplus} = %{version}
# mlt-config requires stuff from %{_datadir}/%{name}
Requires:	%{name} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
This package contains the headers that programmers will need to develop
applications which will use mlt.

%package -n  python-%{name}
Summary:     Python bindings for MLT
Group:	     Development/Python
Requires:    python
Requires:    %{name} = %{version}-%{release}
Summary:     Python package to work with MLT

%description -n     python-%{name}
This module allows to work with MLT using python.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure2_5x \
	--disable-debug \
	--enable-gpl \
%if %use_mmx
	--enable-mmx \
%else
	%ifarch x86_64
	--enable-mmx \
	--enable-sse \
	%else
	--disable-mmx \
	%endif
%endif
	--luma-compress \
	--enable-avformat \
	--avformat-shared=%{_prefix} \
	--avformat-swscale \
	--enable-motion-est \
	--qimage-libdir=%{qt4lib} \
	--qimage-includedir=%{qt4include} \
	--swig-languages='python'
%make

%install
rm -rf %{buildroot}
%makeinstall_std

#python bindings
install -d %{buildroot}%{py_platsitedir}
install -pm 0644 src/swig/python/%{name}.py* %{buildroot}%{py_platsitedir}/
install -pm 0755 src/swig/python/_%{name}.so %{buildroot}%{py_platsitedir}/

%files
%doc docs COPYING README
%{_bindir}/melt
%{_datadir}/mlt
%{_libdir}/mlt

%files -n %{libname}
%{_libdir}/libmlt.so.%{major}*
%{_libdir}/libmlt.so.%{version}

%files -n %{libplus}
%{_libdir}/libmlt++.so.%{libplus_major}*
%{_libdir}/libmlt++.so.%{version}

%files -n %{libnamedev}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files -n python-%{name}
%{py_platsitedir}/%{name}.p*
%{py_platsitedir}/_%{name}.so


%changelog

* Sun Apr 08 2012 sander85 <sander85> 0.7.8-2.mga2
+ Revision: 229720
- fix some audio codecs not detected with newer libavcodec

* Mon Feb 27 2012 fwang <fwang> 0.7.8-1.mga2
+ Revision: 215634
- drop more internal sybol
- new version 0.7.8

* Tue Dec 27 2011 dmorgan <dmorgan> 0.7.6-2.mga2
+ Revision: 188252
- Do not use ffmeg private symbols ( mga #3732)

* Tue Nov 01 2011 fwang <fwang> 0.7.6-1.mga2
+ Revision: 160763
- new version 0.7.6
- new version 0.7.4

* Mon Jul 04 2011 ahmad <ahmad> 0.7.2-3.mga2
+ Revision: 118265
- Add BR frei0r-devel

* Sat Jun 25 2011 fwang <fwang> 0.7.2-2.mga2
+ Revision: 113451
- rebuild for new ffmpeg

* Tue May 17 2011 dmorgan <dmorgan> 0.7.2-1.mga1
+ Revision: 99445
- New version 0.7.2

* Thu Feb 17 2011 wally <wally> 0.6.2-1.mga1
+ Revision: 53196
- new version 0.6.2
- new major 3
- fix license and summary
- drop old obsoletes
- clean .spec
- imported package mlt

